Subject: Re: B20: bad support for Mingw?
From: [email-masked] (Earnie Boyd)

5 Nov 1998 16:25:09 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Maxim Sobolev <[email-masked]>
Cc: "gnu-win32 @cygnus.com" <[email-masked]>

Is it possible that the configuration process imbeds the physical
paths in the jinclude.h or jconfig.h?

I can't get this to fail after the modification to the specs file.

---Maxim Sobolev <[email-masked]> wrote:
>
> Here is output produced with -H switch, to me it seems that all
inclides are
> CYGWIN **NOT* MINGW! See my specs file also.
> 
> gcc -mno-cygwin -H -O3  -I.   -c jerror.c -o jerror.o
> jinclude.h
>  jconfig.h
> 
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h
> 
> 
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\stdlib.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\_ansi.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/config.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/reent.h
> 
> 
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\stdio.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stdarg.h
> 
> 
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\string.h
> 
> 
>
c:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h
> 
> jpeglib.h
>  jmorecfg.h
> jversion.h
> jerror.h
> jerror.h
> gcc -mno-cygwin -mdll -o junk.tmp -Wl,--base-file,base.tmp jcapimin.o
> jcapistd.o jctrans.o jcparam.o jdatadst.o jcinit.o jcmaster.o
jcmarker.o
> jcmainct.o jcprep
> ct.o jccoefct.o jccolor.o jcsample.o jchuff.o jcphuff.o jcdctmgr.o
> jfdctfst.o jfdctflt.o jfdctint.o jdapimin.o jdapistd.o jdtrans.o
jdatasrc.o
> jdmaster.o jdinpu
> t.o jdmarker.o jdhuff.o jdphuff.o jdmainct.o jdcoefct.o jdpostct.o
> jddctmgr.o jidctfst.o jidctflt.o jidctint.o jidctred.o jdsample.o
jdcolor.o
> jquant1.o jquant2
> .o jdmerge.o jcomapi.o jutils.o jerror.o jmemmgr.o jmemnobs.o
> jerror.o(.text+0x1a3b):jerror.c: undefined reference to `_impure_ptr'
> collect2: ld returned 1 exit status
> make: *** [jpeg.dll] Error 1
> 
> Earnie Boyd wrote:
> 
> > I didn't see anything particularly incorrect.  Anybody else?
> >
> > Next add a -H to the gcc command so that you can visually see what
> > headers are being included.  One of the headers being included has
the
> > _impure_ptr referenced.  It is undefined because the -mno-cygwin
> > switch doesn't include the libcygwin.a library where it would be
> > defined.  The headers from include and include/sys will be the ones
> > you'll need to be concerned about.  The ones from include/mingw32 or
> > include/mingw32/sys will be ok.  _reent is a structure that uses the
> > _impure_ptr so if you see it in the header you've also got a
problem.
> >
> > ---Maxim Sobolev <[email-masked]> wrote:
> > >
> > > I'm rebuilding jpeg.dll (on separate Mingw pakage it builds just
> > fine). Here
> > > is Makefile in attachment.
> > >
> > > Earnie Boyd wrote:
> > >
> > > > What library is it from?
> > > >
> > > > What command(s) are you or your package makefile using to
build your
> > > > executable?
> > > >
> >
> > <snip>
> >
> > ==
> > -                  \\||//
> > -------------o0O0--Earnie--0O0o--------------
> > --          [email-masked]          --
> > -- http://www.freeyellow.com/members5/gw32 --
> > ----------------ooo0O--O0ooo-----------------
> >
> > PS: Newbie's, you should visit my page.
> > _________________________________________________________
> > DO YOU YAHOO!?
> > Get your free @yahoo.com address at http://mail.yahoo.com
> >
> *asm:
> 
> 
> *asm_final:
> 
> 
> *cpp:
> -remap %(cpp_cpu) %{posix:-D_POSIX_SOURCE}  
%{!mno-cygwin:-D__CYGWIN32__ -D__CYGWIN__}  
%{mno-cygwin:-iwithprefixbefore ../../../../include/mingw32
-D__MINGW32__=0.2}
> 
> *cc1:
> %(cc1_spec) 
> 
> *cc1plus:
> 
> 
> *endfile:
> 
> 
> *link:
> %{mwindows:--subsystem windows}                    %{mdll:--dll -e
_DllMainCRTStartup@12}
> 
> *lib:
> %{pg:-lgmon}                   %{!mno-cygwin:-lcygwin}              
    %{mno-cygwin:-lmingw32 -lmoldname -lcrtdll}                  
%{mwindows:-luser32 -lgdi32 -lcomdlg32} 		  -lkernel32 -ladvapi32
-lshell32
> 
> *libgcc:
> -lgcc
> 
> *startfile:
> %{mdll: %{!mno-cygwin:dllcrt0%O%s}                                
%{mno-cygwin:dllcrt1%O%s}}                         %{!mdll:
%{!mno-cygwin:crt0%O%s}                                 
%{mno-cygwin:crt1%O%s} %{pg:gcrt0%O%s}}
> 
> *switches_need_spaces:
> 
> 
> *signed_char:
> %{funsigned-char:-D__CHAR_UNSIGNED__}
> 
> *predefines:
> -Di386 -D_WIN32   -DWINNT  -D_X86_=1 -D__STDC__=1 
-D__stdcall=__attribute__((__stdcall__))  
-D__cdecl=__attribute__((__cdecl__))  
-D__declspec(x)=__attribute__((x))   -Asystem(winnt) -Acpu(i386)
-Amachine(i386)
> 
> *cross_compile:
> 1
> 
> *version:
> egcs-2.91.57
> 
> *multilib:
> . ;
> 
> *multilib_defaults:
> 
> 
> *multilib_extra:
> 
> 
> *multilib_matches:
> 
> 
> *linker:
> collect2
> 
> *cpp_486:
> %{!ansi:-Di486} -D__i486 -D__i486__
> 
> *cpp_586:
> %{!ansi:-Di586 -Dpentium} 	-D__i586 -D__i586__ -D__pentium
-D__pentium__
> 
> *cpp_686:
> %{!ansi:-Di686 -Dpentiumpro} 	-D__i686 -D__i686__ -D__pentiumpro
-D__pentiumpro__
> 
> *cpp_cpu_default:
> %(cpp_586)
> 
> *cpp_cpu:
> -Acpu(i386) -Amachine(i386) %{!ansi:-Di386} -D__i386 -D__i386__
%{mcpu=i486:%(cpp_486)} %{m486:%(cpp_486)} %{mpentium:%(cpp_586)}
%{mcpu=pentium:%(cpp_586)} %{mpentiumpro:%(cpp_686)}
%{mcpu=pentiumpro:%(cpp_686)}
%{!mcpu*:%{!m486:%{!mpentium*:%(cpp_cpu_default)}}}
> 
> *cc1_cpu:
> %{!mcpu*: %{m386:-mcpu=i386 -march=i386} %{mno-486:-mcpu=i386
-march=i386} %{m486:-mcpu=i486 -march=i486} %{mno-386:-mcpu=i486
-march=i486} %{mno-pentium:-mcpu=i486 -march=i486}
%{mpentium:-mcpu=pentium} %{mno-pentiumpro:-mcpu=pentium}
%{mpentiumpro:-mcpu=pentiumpro}}
> 
> 

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".